# Class VulkanPipelineDynamicStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineDynamicStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineDynamicStateCreateInfo`

public static final class VulkanPipelineDynamicStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineDynamicStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addAllDynamicStates(Iterable<? extends VulkanDynamicState> elements)`
  Adds elements to `dynamicStates` list.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineDynamicStateCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addDynamicStates(VulkanDynamicState element)`
  Adds one element to `dynamicStates` list.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addDynamicStates(VulkanDynamicState... elements)`
  Adds elements to `dynamicStates` list.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addFlags(VulkanPipelineDynamicStateCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `addFlags(VulkanPipelineDynamicStateCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineDynamicStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineDynamicStateCreateInfo`.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `from(VulkanPipelineDynamicStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineDynamicStateCreateInfoType` instance.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `setDynamicStates(Iterable<? extends VulkanDynamicState> elements)`
  Sets or replaces all elements for `dynamicStates` list.
  `final VulkanPipelineDynamicStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineDynamicStateCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineDynamicStateCreateInfo.Builder from(VulkanPipelineDynamicStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineDynamicStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineDynamicStateCreateInfo.Builder addFlags(VulkanPipelineDynamicStateCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineDynamicStateCreateInfo.Builder addFlags(VulkanPipelineDynamicStateCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineDynamicStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineDynamicStateCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineDynamicStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineDynamicStateCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addDynamicStates

    public final VulkanPipelineDynamicStateCreateInfo.Builder addDynamicStates(VulkanDynamicState element)
    Adds one element to `dynamicStates` list.
    Parameters:
      `element` - A dynamicStates element
    Returns:
      `this` builder for use in a chained invocation

  - ### addDynamicStates

    public final VulkanPipelineDynamicStateCreateInfo.Builder addDynamicStates(VulkanDynamicState... elements)
    Adds elements to `dynamicStates` list.
    Parameters:
      `elements` - An array of dynamicStates elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setDynamicStates

    public final VulkanPipelineDynamicStateCreateInfo.Builder setDynamicStates(Iterable<? extends VulkanDynamicState> elements)
    Sets or replaces all elements for `dynamicStates` list.
    Parameters:
      `elements` - An iterable of dynamicStates elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllDynamicStates

    public final VulkanPipelineDynamicStateCreateInfo.Builder addAllDynamicStates(Iterable<? extends VulkanDynamicState> elements)
    Adds elements to `dynamicStates` list.
    Parameters:
      `elements` - An iterable of dynamicStates elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineDynamicStateCreateInfo build()
    Builds a new `VulkanPipelineDynamicStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineDynamicStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing